function WORsickness(player, moodleLevel, stats)

    if moodleLevel == 3 then
        --WORincreaseFakeInfectionLevel(player, stats, ZombRand(5), ZombRand(5))
        WORincreaseSickness(player, stats, ZombRand(30), ZombRand(5))
    elseif moodleLevel == 4 then
        --WORincreaseFakeInfectionLevel(player, stats, ZombRand(3), ZombRand(7))
        WORincreaseSickness(player, stats, ZombRand(20), ZombRand(7))
    else
        WORdecreaseSickness(player, stats, moodleLevel, ZombRand(3), ZombRand(3))
    end
end

function WORincreaseSickness(player, stats, chance, sicknessIncrease)
    --print("chance: " .. chance)
    --print("sicknessIncrease: " .. sicknessIncrease)

    if chance == 0 then
        if ZombRand(2) == 0 then
            player:playEmote("worpoisonvomit");
        else
            player:playEmote("worsmellgag");
        end

        --print("fakeInfectionLevelIncrease: " .. fakeInfectionLevelIncrease)

        if player:hasTrait(CharacterTrait.SLOW_HEALER) then
            sicknessIncrease = sicknessIncrease * 1.1;
            --print("player has trait SlowHealer")
            --print("sicknessIncrease: " .. sicknessIncrease)
        elseif player:hasTrait(CharacterTrait.FAST_HEALER) then
            sicknessIncrease = sicknessIncrease * 0.9;
            --print("player has trait FastHealer")
            --print("sicknessIncrease: " .. sicknessIncrease)
        end
        if player:hasTrait(CharacterTrait.WEAK_STOMACH) then
            sicknessIncrease = sicknessIncrease * 1.2;
            --print("player has trait WeakStomach")
            --print("sicknessIncrease: " .. sicknessIncrease)
        elseif player:hasTrait(CharacterTrait.IRON_GUT) then
            sicknessIncrease = sicknessIncrease * 0.8;
            --print("player has trait IronGut")
            --print("sicknessIncrease: " .. sicknessIncrease)
        end
        if player:hasTrait(CharacterTrait.PRONE_TO_ILLNESS) then
            sicknessIncrease = sicknessIncrease * 1.3;
            --print("player has trait ProneToIllness")
            --print("sicknessIncrease: " .. sicknessIncrease)
        elseif player:hasTrait(CharacterTrait.RESILIENT) then
            sicknessIncrease = sicknessIncrease * 0.7;
            --print("player has trait Resilient")
            --print("sicknessIncrease: " .. sicknessIncrease)
        end

        stats:add(CharacterStat.FOOD_SICKNESS, sicknessIncrease)
    end
end

function WORdecreaseSickness(player, stats, chance, sicknessDecrease)
    --print("sicknessDecrease: " .. sicknessDecrease)

    if chance == 0 then 
        if player:hasTrait(CharacterTrait.SLOW_HEALER) then
            sicknessDecrease = sicknessDecrease * 0.9;
            --print("player has trait SlowHealer")
            --print("sicknessDecrease: " .. sicknessDecrease)
        elseif player:hasTrait(CharacterTrait.FAST_HEALER) then
            sicknessDecrease = sicknessDecrease * 1.1;
            --print("player has trait FastHealer")
            --print("sicknessDecrease: " .. sicknessDecrease)
        end
        if player:hasTrait(CharacterTrait.WEAK_STOMACH) then
            sicknessDecrease = sicknessDecrease * 0.8;
            --print("player has trait WeakStomach")
            --print("sicknessDecrease: " .. sicknessDecrease)
        elseif player:hasTrait(CharacterTrait.IRON_GUT) then
            sicknessDecrease = sicknessDecrease * 1.2;
            --print("player has trait IronGut")
            --print("sicknessDecrease: " .. sicknessDecrease)
        end
        if player:hasTrait(CharacterTrait.PRONE_TO_ILLNESS) then
            sicknessDecrease = sicknessDecrease * 0.7;
            --print("player has trait ProneToIllness")
            --print("sicknessDecrease: " .. sicknessDecrease)
        elseif player:hasTrait(CharacterTrait.RESILIENT) then
            sicknessDecrease = sicknessDecrease * 1.3;
            --print("player has trait Resilient")
            --print("sicknessDecrease: " .. sicknessDecrease)
        end

        stats:remove(CharacterStat.FOOD_SICKNESS, sicknessDecrease)
    end
end